/****** hr20_test_lcd.ino ******************* www.weigu.lu ****************/

#include <HR20.h>

HR20 T;                               // create an HR20 object
word const DELAY_TIME = 250;          // delay in ms
char text[] = "-CO2";

/****** SETUP *************************************************************/

void setup() {
  T.init_lcd();            // init lcd
  T.lcd_show_text(text); 
  delay(DELAY_TIME*12);   
}
/****** LOOP **************************************************************/

void loop() {
  for (char i = '0'; i<='9'; i++) {        // numbers from 0-9
    sprintf(text,"%c%c%c%c",i,i,i,i);
    T.lcd_show_text(text); 
    delay(DELAY_TIME); 
  }
  for (char i = 'A'; i<='Z'; i++) {        // letters from A-Z (small letter if
    sprintf(text,"%c%c%c%c",i,i,i,i);      // capital not possible, space if no
    T.lcd_show_text(text);                 // is possible)
    delay(DELAY_TIME);                     // AbCdEFGHIJ L nOPqrStU   y
  }
  T.lcd_show_text("=-_o");                 // o instead of ° to avoid problems
  delay(DELAY_TIME*4); 
  T.lcd_show_text("\"\'[]"); 
  delay(DELAY_TIME*4); 
  for (char i = 'g'; i<='n'; i++) {        // special character accessible with 
    sprintf(text,"%c%c%c%c",i,i,i,i);      // small letters from g-n
    T.lcd_show_text(text);                 // g=,h-,i_,j°,k",l’,m[,n]
    delay(DELAY_TIME); 
  }  
  for (char j = 0; j<5; j++) {            // turn 10 times
    for (char i = 'c'; i<='f'; i++) {      // c n invc u turning effect for wait
      sprintf(text,"%c%c%c%c",i,i,i,i);
      T.lcd_show_text(text); 
      delay(DELAY_TIME/2); 
    }  
  }
  T.lcd_clear();  
  delay(DELAY_TIME); 
  for (byte k = 0; k<=33; k++) {      // c n invc u turning effect for wait      
    Serial.print(k);
    T.lcd_show_special(k); 
    delay(DELAY_TIME); 
    T.lcd_clear_special(k); 
    delay(DELAY_TIME); 
  } 
}
