/****** hr20_test_reflex_light_barrier  ******* www.weigu.lu **************/

#include <HR20.h>

HR20 T;                    // create an HR20 object

long millis_now, millis_prev;
long open_time = 3000, close_time = 3000, stop_time = 3000;
char text[5] = "-CO2";

/****** SETUP *************************************************************/

void setup() {
  T.init_motor();          // init motor
  T.init_reflex();         // init reflex light barrier
  T.init_lcd();            // init lcd
  T.lcd_show_text(text);
  delay(2000);
  millis_prev = millis();  
}
/****** LOOP **************************************************************/

void loop() {
  millis_now = millis();  
  if ((millis_now - millis_prev <= open_time) &&
     (T.get_motor_direction() != 1)) {
    T.motor_open_valve();    // open valve for 3s      
  }
  else if ((millis_now - millis_prev > open_time) && 
           (millis_now - millis_prev < (open_time + close_time)) &&
           (T.get_motor_direction() != 0)) {
    T.motor_close_valve();   // close valve
    delay(1000); // to read the result
  }  
  else if ((millis_now - millis_prev > (open_time + close_time)) && 
           (millis_now - millis_prev < (open_time + close_time + stop_time)) &&
           (T.get_motor_direction() != 255)) {
    T.motor_stop();   // close valve    
  } else if (millis_now - millis_prev > (open_time + close_time + stop_time)) {
    millis_prev = millis();
  }  
  T.lcd_show_reflex_counter(T.get_reflex_counter());
}

